Bug 12100 - error when updating ssh key
Summary: error when updating ssh key
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Account Modification Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-22 08:35 UTC by renato filho
Modified: 2007-08-29 07:13 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
sended email (639 bytes, application/octet-stream)
2007-08-22 08:38 UTC, renato filho
Details

Description renato filho 2007-08-22 08:35:22 UTC
I trying update my ssh key but I got this message from server after send e-mail:

> Your request to the mail gateway is malformed, or an internal processing
> error occured. The information below may help you, or the gateway
> administrator to identify the problem.
>
> Error: An error occured while performing the LDAP lookup
> ==> ldap.NO_SUCH_OBJECT: {'info': '', 'desc': 'No such object'}
> Python Stack Trace:
>    ? /usr/bin/ud-mailgate:414: Attrs = l.search_s(BaseDn,ldap.SCOPE_ONELEVEL,"keyFingerPrint=" + Res[2][1]);
>    search_s /usr/lib/python2.4/site-packages/ldap/ldapobject.py:481: return self.search_ext_s(base,scope,filterstr,attrlist,attrsonly,None,None,timeout=self.timeout)
>    search_ext_s /usr/lib/python2.4/site-packages/ldap/ldapobject.py:475: return self.result(msgid,all=1,timeout=timeout)[1]
>    result /usr/lib/python2.4/site-packages/ldap/ldapobject.py:405: res_type,res_data,res_msgid = self.result2(msgid,all,timeout)
>    result2 /usr/lib/python2.4/site-packages/ldap/ldapobject.py:409: res_type, res_data, res_msgid, srv_ctrls = self.result3(msgid,all,timeout)
>    result3 /usr/lib/python2.4/site-packages/ldap/ldapobject.py:415: rtype, rdata, rmsgid, serverctrls = self._ldap_call(self._l.result3,msgid,all,timeout)
>    _ldap_call /usr/lib/python2.4/site-packages/ldap/ldapobject.py:94: result = func(*args,**kwargs)
>
>
> Please email admin@db.freedesktop.org if you have any questions.
>
Comment 1 renato filho 2007-08-22 08:38:33 UTC
Created attachment 11211 [details]
sended email

this is the sended e-mail contents, generated by:
cat <mykey.pub> | gpg --clearsign
Comment 2 Pekka Paalanen 2007-08-26 09:23:55 UTC
I get this too, when trying the 'show' command. In the email body I sent:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

show
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFG0ZkTZOEf2vUEFl4RAtRGAKC30SbP3HkHeqgmO0+IWv5KkcVWEACfceOU
RHzjJmoBxxSHxNVYn8l2m2k=
=R6AJ
-----END PGP SIGNATURE-----

and in reply to this particular attempt (I tried several times with different email clients) I got two identical error reports as reply, two minutes apart.
They look like this:

From: admin@db.freedesktop.org
To: inventor@mbnet.fi
Reply-To: admin@db.freedesktop.org
Subject: Mail Gateway failed: An error occured while performing the LDAP lookup
Date: Sun, 26 Aug 2007 16:04:00 +0000
Message-Id: <20070826160401.08A5B3805D@fruit.freedesktop.org>

Hello!

Your request to the mail gateway is malformed, or an internal processing
error occured. The information below may help you, or the gateway
administrator to identify the problem.

Error: An error occured while performing the LDAP lookup
==> ldap.OTHER: {'info': 'internal error', 'desc': 'Internal (implementation specific) error'}  
Python Stack Trace:
   ? /usr/bin/ud-mailgate:414: Attrs = l.search_s(BaseDn,ldap.SCOPE_ONELEVEL,"keyFingerPrint=" + Res[2][1]);
   search_s /usr/lib/python2.4/site-packages/ldap/ldapobject.py:481: return self.search_ext_s(base,scope,filterstr,attrlist,attrsonly,None,None,timeout=self.timeout)
   search_ext_s /usr/lib/python2.4/site-packages/ldap/ldapobject.py:475: return self.result(msgid,all=1,timeout=timeout)[1]
   result /usr/lib/python2.4/site-packages/ldap/ldapobject.py:405: res_type,res_data,res_msgid = self.result2(msgid,all,timeout)
   result2 /usr/lib/python2.4/site-packages/ldap/ldapobject.py:409: res_type, res_data, res_msgid, srv_ctrls = self.result3(msgid,all,timeout)
   result3 /usr/lib/python2.4/site-packages/ldap/ldapobject.py:415: rtype, rdata, rmsgid, serverctrls = self._ldap_call(self._l.result3,msgid,all,timeout)
   _ldap_call /usr/lib/python2.4/site-packages/ldap/ldapobject.py:94: result = func(*args,**kwargs)


Please email admin@db.freedesktop.org if you have any questions.
Comment 3 Daniel Stone 2007-08-29 07:13:40 UTC
that's been fixed now


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.